Generation Framework

## org.eclipse.gmf.tooldef
Interface AbstractTool

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CreationTool, GenericTool, Palette, PaletteSeparator, StandardTool, ToolContainer, ToolGroup

All Known Implementing Classes:
  AbstractToolImpl, CreationToolImpl, GenericToolImpl, PaletteImpl, PaletteSeparatorImpl, StandardToolImpl, ToolContainerImpl, ToolGroupImpl

    public interface AbstractTool

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Abstract Tool'.

The following features are supported:

- `Small Icon`
- `Large Icon`
- `Title`
- `Description`

See Also:
  `GMFToolPackage.getAbstractTool()`
** Generated **
Model:
  abstract="true"

Method Summary
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute
`Image` `getLargeIcon()` Returns the value of the 'Large Icon' containment reference
`Image` `getSmallIcon()` Returns the value of the 'Small Icon' containment reference
`java.lang.String` `getTitle()` Returns the value of the 'Title' attribute
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute
`void` `setLargeIcon(Image value)` Sets the value of the '`Large Icon`' containment reference
`void` `setSmallIcon(Image value)` Sets the value of the '`Small Icon`' containment reference
`void` `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSmallIcon

    Image getSmallIcon()

  Returns the value of the 'Small Icon' containment reference.

  If the meaning of the 'Small Icon' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Small Icon' containment reference.
  See Also:
    `setSmallIcon(Image)`, `GMFToolPackage.getAbstractTool_SmallIcon()`
  ** Generated **
  Model:
    containment="true"

### setSmallIcon

    void setSmallIcon(Image value)

  Sets the value of the '`Small Icon`' containment reference.

  Parameters:
    `value` - the new value of the 'Small Icon' containment reference.
  See Also:
    `getSmallIcon()`
  ** Generated **

### getLargeIcon

    Image getLargeIcon()

  Returns the value of the 'Large Icon' containment reference.

  If the meaning of the 'Large Icon' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Large Icon' containment reference.
  See Also:
    `setLargeIcon(Image)`, `GMFToolPackage.getAbstractTool_LargeIcon()`
  ** Generated **
  Model:
    containment="true"

### setLargeIcon

    void setLargeIcon(Image value)

  Sets the value of the '`Large Icon`' containment reference.

  Parameters:
    `value` - the new value of the 'Large Icon' containment reference.
  See Also:
    `getLargeIcon()`
  ** Generated **

### getTitle

    java.lang.String getTitle()

  Returns the value of the 'Title' attribute.

  If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Title' attribute.
  See Also:
    `setTitle(String)`, `GMFToolPackage.getAbstractTool_Title()`
  ** Generated **
  Model:

### setTitle

    void setTitle(java.lang.String value)

  Sets the value of the '`Title`' attribute.

  Parameters:
    `value` - the new value of the 'Title' attribute.
  See Also:
    `getTitle()`
  ** Generated **

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `GMFToolPackage.getAbstractTool_Description()`
  ** Generated **
  Model:

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.